=== modified file 'bin/maas-qcow2targz'
--- bin/maas-qcow2targz	2017-05-03 11:27:20 +0000
+++ bin/maas-qcow2targz	2017-08-01 02:14:53 +0000
@@ -111,7 +111,6 @@
 
     if [ -n "$packages" ]; then
         # We need working DNS to pull packages from the repo
-        mv "${root_d}/etc/resolv.conf" "${root_d}/etc/resolv.conf.orig"
         cp /etc/resolv.conf "${root_d}/etc/resolv.conf"
         for package in $(echo $packages | sed 's/,/ /g'); do
             LANG=C unshare-pidns chroot "$root_d" yum -y install $package || {
@@ -124,7 +123,12 @@
                 error "failed to clear yum cache"
                 exit 1
             }
-        mv "${root_d}/etc/resolv.conf.orig" "${root_d}/etc/resolv.conf"
+	# Upstream ships with DNS information in /etc/resolv.conf, ship a
+	# clean version.
+	rm "${root_d}/etc/resolv.conf"
+	touch "${root_d}/etc/resolv.conf"
+	chown root:root "${root_d}/etc/resolv.conf"
+	chmod 644 "${root_d}/etc/resolv.conf"
     fi
 
     error "Taring up image contents... into $out"

